#!/usr/bin/env python

from simplex import *
import sys, time

filename = sys.argv[1]
terms = sys.argv[2:]

f = open(filename)
tf = TextFile(f)
try:
    for term in terms:
        tf.seek(0)

        t = time.time()
        line = find_in_file(tf, term)
        if line:
            print "Found (at %s seconds)...\n%s" % (time.time() - t, line)
finally:
    f.close()

# vim: tabstop=4 expandtab shiftwidth=4
